僭越ながら、一意見ですが、
portsの方は試されました?

portsの方のバージョンも 2.0.1.6 になっています。

-----Original Message-----
> 高倉と申します。
> 
> FreeBSD 5.5 RELEASE で APC Smart-UPS 500 を使おうと思い
> upsd-2.0.1.6.tar.gz を取ってきて、ソースを展開した後
> # make install したところ。
> 
> Warning: Object directory not chaged from original /tmp/upsd-2.0
> yacc -d -o config.c config.y
> cc -0 -pipe -l../include -Wall -06 -c apc.c
> apc.c: ln function `apc_poll`:
> apc.c:32: error:`POLLBUFLEN` undeclared (first use this function)
> apc.c:32: error:(Each undeclared identifier is reported only once
> apc.c:32: error: for each function it appears in.)
> apc.c: ln function `apc_tune`:
> apc.c:156: warning:char format, void arg (arg 4)
> *** Error code 1
> 
> Stop in /tmp/upsd-2.0.

メールによる返信